GWT 2.7.0

## com.google.gwt.core.client.debug
Class JsoInspector.JsoProperty

    java.lang.Object
      com.google.gwt.core.client.debug.JsoInspector.JsoProperty

All Implemented Interfaces:
  java.lang.Comparable<JsoInspector.JsoProperty>

Enclosing class:
  JsoInspector

    public static class JsoInspector.JsoProperty

extends java.lang.Object
implements java.lang.Comparable<JsoInspector.JsoProperty>

A simple Java object to hold a key and value pair.

Field Summary
`boolean` | `isOwnProperty`
`java.lang.String` | `key`
`java.lang.Object` | `value`

Method Summary
`int` | `compareTo(JsoInspector.JsoProperty o)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    public final java.lang.String key

### value

    public final java.lang.Object value

### isOwnProperty

    public final boolean isOwnProperty

Method Detail

### compareTo

    public int compareTo(JsoInspector.JsoProperty o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<JsoInspector.JsoProperty>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

GWT 2.7.0